package cn.hnthyy.thmz.entity.thmz;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.util.Date;

/**
 * 门诊系统用户对象
 */
@Data
public class User {
    //主键
    private Long id;
    //老系统员工表编码
    private String userIdCode;
    //用户名 老系统工号
    private String userCode;
    //员工姓名
    private String userName;
    //系统用户密码
    private String password;
    //身份证号码
    private String idCard;
    //账号创建时间
    private Date createTime;
    //创建人
    private Long createUser;
    //更新时间
    private Date updateTime;
    //更新人
    private Long updateUser;
    //账号状态 0-- 在职  1--停薪留职  2-- 离职  3--退休
    private Integer status;
    //头像地址
    private Long profileImage;
    //邮箱
    private String email;
    //电话号码
    private String phoneNumber;
    //性别 0 女 1 男
    private Integer gender;
    //锁屏密码
    private String lockScreenPassword;
    //密码修改时候的原始密码
    private String oldPassword;
    public User() {
    }

    public User(String userIdCode,String userCode, String userName, Integer status) {
        if(StringUtils.isNotBlank(userIdCode)){
            this.userIdCode = userIdCode.trim();
        }
        if(StringUtils.isNotBlank(userCode)){
            this.userCode = userCode.trim();
        }
        if(StringUtils.isNotBlank(userName)){
            this.userName = userName.trim();
        }
        this.status = status;
    }
}
